Package com.smartgwt.client.ai

# Class AIServiceDescriptor

java.lang.Object
com.smartgwt.client.core.JsObject
com.smartgwt.client.core.DataClass
com.smartgwt.client.core.RefDataClass
com.smartgwt.client.ai.AIServiceDescriptor

All Implemented Interfaces:
  `HasHandlers`

public class AIServiceDescriptor extends RefDataClass
Descriptor for an AI service that can be registered with `AI.registerAIService()` (globally) or `Canvas.registerAIService()` (component-scoped) so that the AIDelegator can choose to invoke it on behalf of the user.

See the `AI Assist overview` for the full registration and routing model.

See Also:
  - `AI.registerAIService(com.smartgwt.client.ai.AIServiceDescriptor)`
  - `Canvas.registerAIService(com.smartgwt.client.ai.AIServiceDescriptor)`
  - `AI.delegate(java.lang.String)`

- ## Field Summary

  ### Fields inherited from class com.smartgwt.client.core.RefDataClass

  `id`

  ### Fields inherited from class com.smartgwt.client.core.DataClass

  `factoryCreated, factoryProperties`

  ### Fields inherited from class com.smartgwt.client.core.JsObject

  `jsObj`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AIServiceDescriptor()`
  `AIServiceDescriptor(JavaScriptObject jsObj)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getDescription()`
  Natural-language description of what this service does, shown to the AI so it can decide whether this service is appropriate for a given user request.
  `String`
  `getName()`
  Unique name for this service (e.g.
  `static AIServiceDescriptor`
  `getOrCreateRef(JavaScriptObject jsObj)`
  `AIServiceDescriptor`
  `setDescription(String description)`
  Natural-language description of what this service does, shown to the AI so it can decide whether this service is appropriate for a given user request.
  `AIServiceDescriptor`
  `setName(String name)`
  Unique name for this service (e.g.

  ### Methods inherited from class com.smartgwt.client.core.RefDataClass

  `getRef, getRef, internalSetID`

  ### Methods inherited from class com.smartgwt.client.core.DataClass

  `applyFactoryProperties, doAddHandler, fireEvent, getAttribute, getAttributeAsBoolean, getAttributeAsBoolean, getAttributeAsDate, getAttributeAsDouble, getAttributeAsDoubleArray, getAttributeAsElement, getAttributeAsFloat, getAttributeAsInt, getAttributeAsIntArray, getAttributeAsJavaScriptObject, getAttributeAsLong, getAttributeAsMap, getAttributeAsObject, getAttributeAsRecord, getAttributeAsString, getAttributeAsStringArray, getAttributes, getHandlerCount, isFactoryCreated, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttributeAsJavaObject, setFactoryCreated`

  ### Methods inherited from class com.smartgwt.client.core.JsObject

  `equals, getJsObj, hashCode, isCreated, setJavaScriptObject, setJsObj`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### AIServiceDescriptor

    public AIServiceDescriptor()

  - ### AIServiceDescriptor

    public AIServiceDescriptor(JavaScriptObject jsObj)

- ## Method Details

  - ### getOrCreateRef

    public static AIServiceDescriptor getOrCreateRef(JavaScriptObject jsObj)

  - ### setDescription

    public AIServiceDescriptor setDescription(String description)
    Natural-language description of what this service does, shown to the AI so it can decide whether this service is appropriate for a given user request. Should be a concise sentence or two.
    Parameters:
      `description` - New description value. Default value is null
    Returns:
      `AIServiceDescriptor` instance, for chaining setter calls

  - ### getDescription

    public String getDescription()
    Natural-language description of what this service does, shown to the AI so it can decide whether this service is appropriate for a given user request. Should be a concise sentence or two.
    Returns:
      Current description value. Default value is null

  - ### setName

    public AIServiceDescriptor setName(String name)
    Unique name for this service (e.g. "answerEngine", "buildUI", "legacyAssist"). Used as the key in the registry and as the identifier the AI selects.
    Parameters:
      `name` - New name value. Default value is null
    Returns:
      `AIServiceDescriptor` instance, for chaining setter calls

  - ### getName

    public String getName()
    Unique name for this service (e.g. "answerEngine", "buildUI", "legacyAssist"). Used as the key in the registry and as the identifier the AI selects.
    Returns:
      Current name value. Default value is null